#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "intopt.h"

typedef struct simplex {
  int m;
  int n;
  int *var;
  double **a;
  double *b;
  double *x;
  double *c;
  double y;
} simplex_t;

typedef struct node {
  int m;
  int n;
  int k;
  int h;
  double xh;
  double ak;
  double bk;
  double *min;
  double *max;
  double **a;
  double *b;
  double *x;
  double *c;
  double z;
} node_t;
